# Uses of Interface
javax.swing.event.UndoableEditListener

Packages that use UndoableEditListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.undo
Allows developers to provide support for undo/redo in applications such as text editors.

## Uses of UndoableEditListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type UndoableEditListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addUndoableEditListener(UndoableEditListener l)`
Adds the specified listener to receive all `UNDOABLEEDIT` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeUndoableEditListener(UndoableEditListener l)`
Removes the specified listener so it no longer receives `UNDOABLEEDIT` events when they occur.

## Uses of UndoableEditListener in javax.swing.text

Methods in javax.swing.text that return UndoableEditListener
Modifier and Type
Method
Description
`UndoableEditListener[]`
AbstractDocument.`getUndoableEditListeners()`
Returns an array of all the undoable edit listeners registered on this document.
Methods in javax.swing.text with parameters of type UndoableEditListener
Modifier and Type
Method
Description
`void`
AbstractDocument.`addUndoableEditListener(UndoableEditListener listener)`
Adds an undo listener for notification of any changes.
`void`
Document.`addUndoableEditListener(UndoableEditListener listener)`
Registers the given observer to begin receiving notifications when undoable edits are made to the document.
`void`
AbstractDocument.`removeUndoableEditListener(UndoableEditListener listener)`
Removes an undo listener.
`void`
Document.`removeUndoableEditListener(UndoableEditListener listener)`
Unregisters the given observer from the notification list so it will no longer receive updates.

## Uses of UndoableEditListener in javax.swing.undo

Classes in javax.swing.undo that implement UndoableEditListener
Modifier and Type
Class
Description
`class`
`UndoManager`
`UndoManager` manages a list of `UndoableEdits`, providing a way to undo or redo the appropriate edits.
Fields in javax.swing.undo with type parameters of type UndoableEditListener
Modifier and Type
Field
Description
`protected Vector<UndoableEditListener>`
UndoableEditSupport.`listeners`
The list of listeners.
Methods in javax.swing.undo that return UndoableEditListener
Modifier and Type
Method
Description
`UndoableEditListener[]`
UndoableEditSupport.`getUndoableEditListeners()`
Returns an array of all the `UndoableEditListener`s added to this UndoableEditSupport with addUndoableEditListener().
Methods in javax.swing.undo with parameters of type UndoableEditListener
Modifier and Type
Method
Description
`void`
UndoableEditSupport.`addUndoableEditListener(UndoableEditListener l)`
Registers an `UndoableEditListener`.
`void`
UndoableEditSupport.`removeUndoableEditListener(UndoableEditListener l)`
Removes an `UndoableEditListener`.